# Unbinding - BRI

## Unbinding - BRI

Unbind (unlink) a BRI Direct Debit account token from the customer.

### Endpoint

| Environment | Method | URL                                                            |
| ----------- | ------ | -------------------------------------------------------------- |
| Development | POST   | <https://devo.finnet.co.id/pg/payment/card/directdebit/unbind> |
| Production  | POST   | <https://live.finnet.co.id/pg/payment/card/directdebit/unbind> |

### Body Request

<table><thead><tr><th width="79" data-type="number">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>sourceOfFunds</td><td>object</td><td>M</td><td>Funding source configuration.</td></tr><tr><td>2</td><td>sourceOfFunds.type</td><td>string</td><td>M</td><td>Value for BRI Direct Debit: <code>ddbri</code>.</td></tr><tr><td>3</td><td>sourceOfFunds.accountId</td><td>string</td><td>M</td><td>BRI Direct Debit account token (example format: <code>card_...</code>).</td></tr></tbody></table>

#### Sample Request

```json
{
  "sourceOfFunds": {
    "type": "ddbri",
    "accountId": "card_<your_token>"
  }
}
```

#### cURL

```bash
curl --request POST \
  --url 'https://devo.finnet.co.id/pg/payment/card/directdebit/unbind' \
  --header 'Content-Type: application/json' \
  --data '{
    "sourceOfFunds": {
      "type": "ddbri",
      "accountId": "card_<your_token>"
    }
  }'
```

### Body Response

#### `200 OK`

Returns `application/json`.

{% hint style="info" %}
The response schema in the provided OpenAPI is empty, but the example includes fields below.
{% endhint %}

<table><thead><tr><th width="79" data-type="number">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>responseCode</td><td>string</td><td>M</td><td></td></tr><tr><td>2</td><td>responseMessage</td><td>string</td><td>M</td><td></td></tr><tr><td>3</td><td>processingTime</td><td>number</td><td>M</td><td>Processing time in seconds.</td></tr><tr><td>4</td><td>traceId</td><td>string</td><td>M</td><td>Trace ID for debugging/troubleshooting.</td></tr></tbody></table>

#### Sample Response

```json
{
  "responseCode": "2000000",
  "responseMessage": "Request has been processed successfully",
  "processingTime": 6.85820198059082,
  "traceId": "49028a9e-1ceb-4991-a62e-f52c59edb14c"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/core-api/direct-debit/unbinding-bri.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
